Problem with ssl_requirement


#1

Hello,

I am trying to enable SSL for my rails app. I have installed the
ssl_requirements plugin and added “include SslRequirement” in the
application controller. Then I restart the server and access the home
page.

Then I am getting this error:

NameError in ProjectsController#index
uninitialized constant SslRequirement::UserSystem

I have searched for this error, no luck. I notice that the plugin is
correctly installed in the vendors directory. As soon as I remove the
line “include SslRequirement”, my site works again.

What am I doing wrong??

Thanks again!


#2

Hi Peter,

you might be using an outdated version of the plugin, read more here.

http://blog.janus.cx/archives/270-SOLVED-uninitialized-constant-SslRequirementUserSystem.html

Cheers
NoJ


#3

Hi Peter,

the reason for this might be that you are using an outdated version of
ssl_requirement, read more at:

http://blog.janus.cx/archives/270-SOLVED-uninitialized-constant-SslRequirementUserSystem.html

cheers
NoJ